

if BUILD_GC
canvas=canvas
endif

SUBDIRS=$(canvas)

noinst_LIBRARIES=libmacommongui.a libqbcommongui.a 

libmacommongui_a_SOURCES=\
	myg_gtk_utils.cc\
	myg_gtkutils.cc\
        myg_utils.cc\
	MGAboutPanel.cc\
	MYXInterface.cc\
	MGGladeXML.cc\
	MGConnectDialog.cc\
	MGBrowserList.cc\
	MGFileBrowserList.cc\
	MGTableBrowserList.cc\
	MGSchemaBrowserList.cc\
	MGGraphPlotter.cc\
	MGMeterGraphPlotter.cc\
	MGHMeterGraphPlotter.cc\
	MGPreferences.cc\
	MGPreferencesEditor.cc\
	MGTimeGraphPlotter.cc\
	MGCellRenderer.cc\
	MGImage.cc\
	MGImageCheckButton.cc\
	MDispatcher.cc\
	MCrontab.cc\
	MGTableEditor.cc\
	MGCharsetPickDialog.cc

libqbcommongui_a_SOURCES=\
	myg_gtk_utils.cc\
	myg_gtkutils.cc\
        myg_utils.cc\
	MGAboutPanel.cc\
	MGSQLTextBuffer.cc\
	MYXInterface.cc\
	MYXResultSet.cc\
	MGGladeXML.cc\
	MGConnectDialog.cc\
	MGBrowserList.cc\
	MGFileBrowserList.cc\
	MGTableBrowserList.cc\
	MGSchemaBrowserList.cc\
	MGPreferences.cc\
	MGPreferencesEditor.cc\
	MGCellRenderer.cc\
	MGImage.cc\
	MGImageCheckButton.cc\
	MGFloatingWidget.cc\
	MGTableEditor.cc\
	MGSchemaBrowserHelper.cc\
	MDispatcher.cc\
	MGBlobEditor.cc\
	MGCharsetPickDialog.cc\
	MGTreeTooltip.cc



INCLUDES=@GNOME_CFLAGS@ @MYSQL_INCLUDE@ @PCRE_CFLAGS@\
	-I$(top_srcdir)/library/include\
	-I$(top_srcdir)/library/shared_include\
	-DDATADIRNAME=\""$(DATADIRNAME)"\"\
        -DCOMMONDIRNAME=\""$(MG_COMMONDIR)"\"



